using UnityEngine;
using System.Collections;

public class SteamPunkGUI : MonoBehaviour {
	
	public GameObject[] buttonBg;
	public GameObject button1;
	public GameObject button2;
	public GameObject[] radioButtons;
	public GameObject slider;
	public Transform sliderLine;
	public float slider_value;
	
	public int activeRadioButton;
	
	void Start () {
		for (int i=0;i<buttonBg.Length;i++){
			// Mixing transforms so that it does not override position
			buttonBg[i].animation["MouseOut"].AddMixingTransform(buttonBg[i].transform.GetChild(0));
			buttonBg[i].animation["MouseOver"].AddMixingTransform(buttonBg[i].transform.GetChild(0));
			// Initialize the animation at the end of MouseOut so we don't get any monkey business with Hover() starting off state.
			buttonBg[i].animation.animation.CrossFade("MouseOut");
			buttonBg[i].animation["MouseOut"].time = 1;
		}
	}
	
	void Update () {
		for (int i=0;i<buttonBg.Length;i++){
			buttonBg[i].Hover();
		}
		
		button1.Hover();
		if (button1.Clicked()){
			Debug.Log("Clicked");
		}
		
		button2.Hover();
		if (button2.CheckBox()){
			Debug.Log("Still true");
		}
		
		for (int i=0;i<radioButtons.Length;i++){
			if (radioButtons[i].RadioButton(0)){
				activeRadioButton = i;
			}
			else
				radioButtons[i].Hover();
		}
		
		Vector3 slider_start = new Vector3(-3.460145f,0,0);
		Vector3 slider_end = new Vector3(3.460145f,0,0);
		slider.Hover();
		slider_value = slider.DragSlider(0,0,-1,1,slider_start,slider_end);
	}
}
