Shader "Custom/LightsShader" {
	Properties {
		_MainTex ("Base (RGB)", 2D) = "white" {}
		_Emission ("Emission", Range (0.00, 1)) = 0.0
	}
	SubShader {
		Tags { "RenderType"="Opaque" }
		LOD 200
		
		CGPROGRAM
		#pragma surface surf Lambert

		sampler2D _MainTex;
		fixed _Emission;

		struct Input {
			float2 uv_MainTex;
		};

		void surf (Input IN, inout SurfaceOutput o) {
			half4 c = tex2D (_MainTex, IN.uv_MainTex);
			o.Albedo = c.rgb;
			o.Alpha = c.a;
			o.Emission = c.rgb * _Emission;
		}
		ENDCG
	} 
	FallBack "Diffuse"
}
